summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--etc/autowifi/wifi_keys3
-rwxr-xr-xusr/bin/autowifi5
2 files changed, 7 insertions, 1 deletions
diff --git a/etc/autowifi/wifi_keys b/etc/autowifi/wifi_keys
index 3e9b8870..bfc137b0 100644
--- a/etc/autowifi/wifi_keys
+++ b/etc/autowifi/wifi_keys
@@ -1,2 +1,3 @@
-#SSID|MAC|KEY
Internet|00:11:22:33:44:55|wut
+shack|00:27:22:6c:13:9d|0|Stand in der Lounge am Fenster
+#SSID|MAC|KEY
diff --git a/usr/bin/autowifi b/usr/bin/autowifi
index b8ba1482..f0bfd83d 100755
--- a/usr/bin/autowifi
+++ b/usr/bin/autowifi
@@ -151,4 +151,9 @@ elif [ -n "$1" ]; then
else
echo looping network now
loop_over_networks
+ while sleep 60; do
+ if ! check_internet; then
+ loop_over_networks
+ fi
+ done
fi